Summary:	JSON in JavaScript
Name:		js-json2
Version:	20100320
Release:	3
License:	Public Domain
Group:		Applications/WWW
Source0:	http://www.JSON.org/json2.js
# Source0-md5:	f98062b915eba703f4edf1e0891c2c84
URL:		http://www.json.org/js.html
BuildRequires:	js
BuildRequires:	jsmin
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
json2.js to handle json parser and stringify in MSIE below version 8.

%prep
%setup -qcT
sed -e 1d %{S:0} > $(basename %{S:0})

version=$(sed -n 3p json2.js | xargs)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

# apache1/apache2 conf
cat > apache.conf <<'EOF'
Alias /js/json2.js %{_appdir}/json2.js
<Directory %{_appdir}>
	# Apache 2.x
	<IfModule !mod_authz_core.c>
		Order allow,deny
		Allow from all
	</IfModule>
	# Apache 2.4
	<IfModule mod_authz_core.c>
		Require all granted
	</IfModule>
</Directory>
EOF

# lighttpd conf
cat > lighttpd.conf <<'EOF'
alias.url += (
    "/js/json2.js" => "%{_appdir}/json2.js",
)
EOF

%build
jsmin < json2.js > json2-min.js "json2.js %{version}"
js -C -f json2-min.js

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a json2-min.js $RPM_BUILD_ROOT%{_appdir}/json2.js

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}
%changelog
* Tue Aug 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/js-json2.git;a=log;h=master

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> 4560026
- unified apache config

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> b74c7c0
- Revert "- migrated to apache 2.4"

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> ae3e22a
- migrated to apache 2.4

* Mon Apr 26 2010 Elan Ruusamäe <glen@pld-linux.org> 988b337
- new

